www.cendio.com
Bug 4721 - Redirect to login page (or similar) after closing HTML5 client
: Redirect to login page (or similar) after closing HTML5 client
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-06-25 10:32 by
Modified: 2014-04-01 15:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-06-25 10:32:16
When the HTML5 client session is finished, you are left with a red bar and a
disconnected message. There's no way to login again etc without manually
selecting another URL or bookmark. We should provide some way to redirect to
the login page. Perhaps the target page should also be configuration parameter.
------- Comment #1 From cendio 2014-02-19 15:29:41 -------
Fixed in revision 28467.
------- Comment #2 From cendio 2014-03-19 08:00:24 -------
Tested in a ThinLinc cluster using build 4290, works as expected and looks
great.
------- Comment #3 From cendio 2014-03-26 09:37:48 -------
Found when testing bug 4864:
> after login and before NoVNC starts I get the "Your session has ended" 
> message/"Go to login page".

We want to avoid displaying the "Your session has ended, Go to login
page."-message before noVNC has actually loaded. In cases where noVNC loads
slowly the user would see this message for a long time and get confused.

This is fixed in revision 28716 where a "The HTML5 client is
loading..."-message is displayed initially instead.

Tester needs to verify this behavior.
------- Comment #4 From cendio 2014-03-27 14:20:30 -------
(In reply to comment #3)
> Found when testing bug 4864:
> > after login and before NoVNC starts I get the "Your session has ended" 
> > message/"Go to login page".
> 
> We want to avoid displaying the "Your session has ended, Go to login
> page."-message before noVNC has actually loaded. In cases where noVNC loads
> slowly the user would see this message for a long time and get confused.
> 
> This is fixed in revision 28716 where a "The HTML5 client is
> loading..."-message is displayed initially instead.
> 
> Tester needs to verify this behavior.

Build 4304 displays the loading message instead of the session ended message
while loading.